Bug 1550243 (CVE-2018-1079) - CVE-2018-1079 pcs: Privilege escalation via authorized user malicious REST call
Summary: CVE-2018-1079 pcs: Privilege escalation via authorized user malicious REST call
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1079
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180409,repo...
Depends On: 1557252 1557253 1565087 1565088
Blocks: 1550244
TreeView+ depends on / blocked
 
Reported: 2018-02-28 20:25 UTC by Pedro Sampaio
Modified: 2019-05-16 08:11 UTC (History)
27 users (show)

Fixed In Version: pcs 0.9.164, pcs 0.10
Doc Type: If docs needed, set a value
Doc Text:
It was found that the REST interface of the pcsd service did not properly sanitize the file name from the /remote/put_file query. If the /etc/booth directory exists, an authenticated attacker with write permissions could create or overwrite arbitrary files with arbitrary data outside of the /etc/booth directory, in the context of the pcsd process.
Clone Of:
Environment:
Last Closed: 2018-04-11 08:38:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1060 None None None 2018-04-10 09:11:39 UTC

Description Pedro Sampaio 2018-02-28 20:25:30 UTC
A security issue was found in pcs deamon that permits an authorized user (with write permission in pcsd) to escalate privileges and write to any file in the system using a malicious REST call.

Comment 1 Pedro Sampaio 2018-02-28 20:29:15 UTC
Acknowledgments:

Name: Ondrej Mular (Red Hat)

Comment 10 Cedric Buissart 🐶 2018-04-09 11:17:10 UTC
Created pcs tracking bugs for this issue:

Affects: fedora-all [bug 1565088]

Comment 12 errata-xmlrpc 2018-04-10 09:11:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1060 https://access.redhat.com/errata/RHSA-2018:1060


Note You need to log in before you can comment on or make changes to this bug.